From nectar@cerebus.nectar.com Thu May 28 01:37:49 1998
Received: from MIT.EDU (PACIFIC-CARRIER-ANNEX.MIT.EDU [18.69.0.28]) by rt-11.MIT.EDU (8.7.5/8.7.3) with SMTP id BAA02715 for <bugs@RT-11.MIT.EDU>; Thu, 28 May 1998 01:37:45 -0400
Received: from cerebus.nectar.com by MIT.EDU with SMTP
id AA17430; Thu, 28 May 98 01:37:53 EDT
Received: (from nectar@localhost)
by cerebus.nectar.com (8.8.8/8.8.8) id AAA23284;
Thu, 28 May 1998 00:37:41 -0500 (CDT)
Message-Id: <199805280537.AAA23284@cerebus.nectar.com>
Date: Thu, 28 May 1998 00:37:41 -0500 (CDT)
From: n@nectar.com
To: krb5-bugs@MIT.EDU
Subject: building shared libraries on FreeBSD
X-Send-Pr-Version: 3.99
System: FreeBSD cerebus.nectar.com 3.0-CURRENT FreeBSD 3.0-CURRENT #2: Wed May 27 13:42:01 CDT 1998 nectar@cerebus.nectar.com:/a/usr/src/sys/compile/CEREBUS i386
shared libraries on FreeBSD.
FreeBSD.
as building them on NetBSD (which is supported).
These patches (just copied from the NetBSD portions of the distribution)
allow one to build Kerberos V Release 1 with shared libraries. I believe
this will work for FreeBSD 2.2.x and FreeBSD 3.0, but I have only
tested on FreeBSD 3.0.
One will need to run ``reconf'' to get an updated ``configure''
script.
Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/mit-krb5/src/configure.in,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 configure.in
--- configure.in 1998/05/27 20:22:52 1.1.1.1
+++ configure.in 1998/05/28 03:15:50
@@ -21,6 +21,28 @@
AC_ARG_ENABLE([shared],
[ --enable-shared build shared libraries],[
case $krb5_cv_host in
+*-*-freebsd*)
+ echo "Enabling shared libraries for FreeBSD...."
+ krb5_cv_shlibs_cflags=-fpic
+ krb5_cv_shlibs_ext=so
+ krb5_cv_noshlibs_ext=a
+krb5_cv_shlibs_versioned_filenames=yes # version in filename of library
+ krb5_cv_shlibs_need_nover=no
+ krb5_cv_shlibs_dir=shared
+ krb5_cv_shlibs_ldflag=
+ krb5_cv_noshlibs_ldflag="-static"
+ krb5_cv_shlibs_sym_ufo="-u "
+ krb5_cv_shlibs_dirhead="-Wl,-R -Wl,"
+ krb5_cv_exe_need_dirs=yes
+ krb5_cv_shlibs_use_dirs=yes
+ krb5_cv_shlibs_use_colon_dirs=no
+ krb5_cv_shlibs_tail_comp=
+ krb5_cv_shlibs_enabled=yes
+ krb5_cv_staticlibs_enabled=yes
+ krb5_cv_shlibs_run_ldpath=default
+ krb5_cv_shlibs_run_libpath=no
+ krb5_cv_shlibs_run_rldroot=no
+ ;;
*-*-netbsd*)
echo "Enabling shared libraries for NetBSD...."
krb5_cv_shlibs_cflags=-fpic
Index: makeshlib.sh
===================================================================
RCS file: /usr/local/cvsroot/mit-krb5/src/util/makeshlib.sh,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 makeshlib.sh
--- makeshlib.sh 1998/05/27 20:24:15 1.1.1.1
+++ makeshlib.sh 1998/05/28 02:04:59
@@ -17,6 +17,18 @@
VERSION="$1" ; shift
case $host in
+*-*-freebsd*)
+ FILES=`for i
+ do
+ sed -e "s;^;$i/shared/;" -e "s; ; $i/shared/;g" -e "s;^$i/shared/\$;;" $i/DONE
+ done`
+ # Hack to deal with the fact that with cc options are different
+ # from ld...
+ ldflags=`echo $ldflags |sed -e "s/-Wl,//g"`
+ echo ld -Bshareable $ldflags -o $library $FILES $libdirfl $liblist
+ ld -Bshareable $ldflags -o $library $FILES $libdirfl $liblist
+ stat=$?
+ ;;
*-*-netbsd*)
FILES=`for i
do
From: Jacques Vidrine <n@nectar.com>
To: krb5-bugs@MIT.EDU, tlyu@MIT.EDU
Cc: Subject: Re: krb5-build/599: building shared libraries on FreeBSD
Date: Sat, 13 Jun 1998 12:17:18 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Sorry for the dumb question,
How does one get an update on a PR? Is there a web interface or
email interface?
Jacques Vidrine <n@nectar.com>
On 28 May 1998 at 1:38, krb5-bugs@mit.edu wrote:
-----BEGIN PGP SIGNATURE-----
Version: 2.6.2
iQCVAwUBNYK0HjeRhT8JRySpAQF3HwP/dIEGPEgXKE7hVkEOlHYkVPxBw5JypBKi
L1zpfrQcOx8DwG7tegdTYViorV/b7CUe9oEFPqDc+HszHTt7PQXlAdltBESpnVrw
jH1hdYxckhd0z960cmRuLk7uPW/zLI3po816bKuHKahET+ZjI7KLS258bq1Xn8Lf
si87ZP7arhU=
=wFUP
-----END PGP SIGNATURE-----
Received: from MIT.EDU (PACIFIC-CARRIER-ANNEX.MIT.EDU [18.69.0.28]) by rt-11.MIT.EDU (8.7.5/8.7.3) with SMTP id BAA02715 for <bugs@RT-11.MIT.EDU>; Thu, 28 May 1998 01:37:45 -0400
Received: from cerebus.nectar.com by MIT.EDU with SMTP
id AA17430; Thu, 28 May 98 01:37:53 EDT
Received: (from nectar@localhost)
by cerebus.nectar.com (8.8.8/8.8.8) id AAA23284;
Thu, 28 May 1998 00:37:41 -0500 (CDT)
Message-Id: <199805280537.AAA23284@cerebus.nectar.com>
Date: Thu, 28 May 1998 00:37:41 -0500 (CDT)
From: n@nectar.com
To: krb5-bugs@MIT.EDU
Subject: building shared libraries on FreeBSD
X-Send-Pr-Version: 3.99
Show quoted text
>Number: 599
>Category: krb5-build
>Synopsis: building shared libraries on FreeBSD
>Confidential: no
>Severity: non-critical
>Priority: high
>Responsible: tlyu
>State: open
>Class: change-request
>Submitter-Id: unknown
>Arrival-Date: Thu May 28 01:38:00 EDT 1998
>Last-Modified: Sat Jun 13 13:18:00 EDT 1998
>Originator: Jacques Vidrine <n@nectar.com>
>Organization:
Nectar.COM>Category: krb5-build
>Synopsis: building shared libraries on FreeBSD
>Confidential: no
>Severity: non-critical
>Priority: high
>Responsible: tlyu
>State: open
>Class: change-request
>Submitter-Id: unknown
>Arrival-Date: Thu May 28 01:38:00 EDT 1998
>Last-Modified: Sat Jun 13 13:18:00 EDT 1998
>Originator: Jacques Vidrine <n@nectar.com>
>Organization:
Show quoted text
>Release: krb5-1.0.5
>Environment:
>Environment:
System: FreeBSD cerebus.nectar.com 3.0-CURRENT FreeBSD 3.0-CURRENT #2: Wed May 27 13:42:01 CDT 1998 nectar@cerebus.nectar.com:/a/usr/src/sys/compile/CEREBUS i386
Show quoted text
>Description:
The Kerberos V Release 1 distributions do not support buildingshared libraries on FreeBSD.
Show quoted text
>How-To-Repeat:
Try running ``configure --enable-shared'' on a system runningFreeBSD.
Show quoted text
>Fix:
Building shared libraries on FreeBSD is almost exactly the sameas building them on NetBSD (which is supported).
These patches (just copied from the NetBSD portions of the distribution)
allow one to build Kerberos V Release 1 with shared libraries. I believe
this will work for FreeBSD 2.2.x and FreeBSD 3.0, but I have only
tested on FreeBSD 3.0.
One will need to run ``reconf'' to get an updated ``configure''
script.
Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/mit-krb5/src/configure.in,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 configure.in
--- configure.in 1998/05/27 20:22:52 1.1.1.1
+++ configure.in 1998/05/28 03:15:50
@@ -21,6 +21,28 @@
AC_ARG_ENABLE([shared],
[ --enable-shared build shared libraries],[
case $krb5_cv_host in
+*-*-freebsd*)
+ echo "Enabling shared libraries for FreeBSD...."
+ krb5_cv_shlibs_cflags=-fpic
+ krb5_cv_shlibs_ext=so
+ krb5_cv_noshlibs_ext=a
+krb5_cv_shlibs_versioned_filenames=yes # version in filename of library
+ krb5_cv_shlibs_need_nover=no
+ krb5_cv_shlibs_dir=shared
+ krb5_cv_shlibs_ldflag=
+ krb5_cv_noshlibs_ldflag="-static"
+ krb5_cv_shlibs_sym_ufo="-u "
+ krb5_cv_shlibs_dirhead="-Wl,-R -Wl,"
+ krb5_cv_exe_need_dirs=yes
+ krb5_cv_shlibs_use_dirs=yes
+ krb5_cv_shlibs_use_colon_dirs=no
+ krb5_cv_shlibs_tail_comp=
+ krb5_cv_shlibs_enabled=yes
+ krb5_cv_staticlibs_enabled=yes
+ krb5_cv_shlibs_run_ldpath=default
+ krb5_cv_shlibs_run_libpath=no
+ krb5_cv_shlibs_run_rldroot=no
+ ;;
*-*-netbsd*)
echo "Enabling shared libraries for NetBSD...."
krb5_cv_shlibs_cflags=-fpic
Index: makeshlib.sh
===================================================================
RCS file: /usr/local/cvsroot/mit-krb5/src/util/makeshlib.sh,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 makeshlib.sh
--- makeshlib.sh 1998/05/27 20:24:15 1.1.1.1
+++ makeshlib.sh 1998/05/28 02:04:59
@@ -17,6 +17,18 @@
VERSION="$1" ; shift
case $host in
+*-*-freebsd*)
+ FILES=`for i
+ do
+ sed -e "s;^;$i/shared/;" -e "s; ; $i/shared/;g" -e "s;^$i/shared/\$;;" $i/DONE
+ done`
+ # Hack to deal with the fact that with cc options are different
+ # from ld...
+ ldflags=`echo $ldflags |sed -e "s/-Wl,//g"`
+ echo ld -Bshareable $ldflags -o $library $FILES $libdirfl $liblist
+ ld -Bshareable $ldflags -o $library $FILES $libdirfl $liblist
+ stat=$?
+ ;;
*-*-netbsd*)
FILES=`for i
do
Show quoted text
>Audit-Trail:
From: Jacques Vidrine <n@nectar.com>
To: krb5-bugs@MIT.EDU, tlyu@MIT.EDU
Cc: Subject: Re: krb5-build/599: building shared libraries on FreeBSD
Date: Sat, 13 Jun 1998 12:17:18 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Sorry for the dumb question,
How does one get an update on a PR? Is there a web interface or
email interface?
Jacques Vidrine <n@nectar.com>
On 28 May 1998 at 1:38, krb5-bugs@mit.edu wrote:
Show quoted text
> Thank you very much for your problem report.
> It has the internal identification `krb5-build/599'.
> The individual assigned to look at your
> report is: tlyu.
>
> It has the internal identification `krb5-build/599'.
> The individual assigned to look at your
> report is: tlyu.
>
> >Category: krb5-build
> >Responsible: tlyu
> >Synopsis: building shared libraries on FreeBSD
> >Arrival-Date: Thu May 28 01:38:00 EDT 1998
> >Responsible: tlyu
> >Synopsis: building shared libraries on FreeBSD
> >Arrival-Date: Thu May 28 01:38:00 EDT 1998
-----BEGIN PGP SIGNATURE-----
Version: 2.6.2
iQCVAwUBNYK0HjeRhT8JRySpAQF3HwP/dIEGPEgXKE7hVkEOlHYkVPxBw5JypBKi
L1zpfrQcOx8DwG7tegdTYViorV/b7CUe9oEFPqDc+HszHTt7PQXlAdltBESpnVrw
jH1hdYxckhd0z960cmRuLk7uPW/zLI3po816bKuHKahET+ZjI7KLS258bq1Xn8Lf
si87ZP7arhU=
=wFUP
-----END PGP SIGNATURE-----
Show quoted text
>Unformatted: